Nowe jQuery 2.0 kończy ze wsparciem dla starego Internet Explorera

Nowe jQuery 2.0 kończy ze wsparciem dla starego Internet Explorera20.04.2013 14:18

Rozmaite akcje edukacyjne Microsoftu, mające na celu posłaniestarych wersji Internet Explorera na cmentarzysko martwegooprogramowania, wciąż nie przynoszą takich efektów, jak byśmychcieli, wciąż programistów męczy się koniecznością dbania ozgodność serwisów internetowych z IE8 a nawet wcześniejszymi. Ajeśli takiej zgodności nie dałoby się już w miarę łatwozapewnić?Wydana właśnie wersja 2.0 jQuery, najpopularniejszej bibliotekiJavaScriptu na świecie (ocenia się, że korzysta z niej ponad 55procent serwisów WWW), kończy właśnie z Internet Explorerem 8 iwcześniejszymi wersjami. Autorzy, uważając że dla przeglądarektych nie ma miejsca we współczesnym WWW, usunęli cały kododpowiadający za wsparcie tych browserów, uzyskując w efekciewersję szybszą, mniejszą i wolną od problemów, jakie przynosiłakonieczność zapewnienia kompatybilności z IE.Mniejsze o 12 procent jQuery może być teraz jeszcze mniejsze –rozbudowano mechanizm budowania własnych odmian biblioteki. Dodyspozycji jest 12różnych modułów, z których można złożyć dokładnie to,czego potrzebujemy, dzięki czemu można zminimalizowane jQueryzmieścić w nawet w 10 KB. [img=ieban]Szczęśliwie nie trzeba będzie zmieniać niedawno zmienianych(dla wersji 1.9) wtyczek. W 2.0 udało się zachować zgodność zAPI jQuery w wersji 1.9, wtyczki dla tej wersji będą działały bezproblemów z nową wersją. Starsze wersje wtyczek muszą zostaćjednak przerobione, zgodnie z dostępnym tutaj poradnikiem.W przyszłości w ślady wsparcia dla starych wersji InternetExplorera pójść ma wsparcie dla WebKitu w starych wersjachAndroida (2.x i wcześniejszych). Twórcom biblioteki przeszkadza onow dalszej optymalizacji kodu. Zapowiedziano przy tym, żezapewniająca najszerszy zakres kompatybilności wersja 1.9 będziedalej rozwijana (jako 1.10 itd.). Wsparcie to nie będzie obejmowałoscenariuszy „pozawebowych” – wszelkiego rodzaju aplikacji czyrozszerzeń dla przeglądarek. Tam zastosowanie ma znaleźćwyłącznie linia 2.x jQuery.Teraz pozostaje jedynie czekać na to, aż twórcynajpopularniejszych CMS-ów zintegrują jQuery 2.x ze swoim kodem, aWWW przestanie być w praktyce dostępne dla IE8, zmuszając tymsamym użytkowników Windows XP do przejścia albo na nową wersję„okienek”, albo na inną, wciąż wspierającą XP przeglądarkę.Szczegółowa lista zmian znajduje się tutaj.

Źródło artykułu:www.dobreprogramy.pl
Oceń jakość naszego artykułuTwoja opinia pozwala nam tworzyć lepsze treści.
Udostępnij:
Wybrane dla Ciebie
Komentarze (71)